%define upstream_name Device-Cdio
%define upstream_version v0.3.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
Patch1:		perl-Device-Cdio-v0.3.0-pkgconfig-fix.patch
Patch2:		perl-Device-Cdio-v0.3.0-cdio_get_cdtext-fix.patch
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-version
BuildRequires:	pkgconfig(libcdio) 
BuildRequires:	swig

%description
A module to make easier temporary directories deletion

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use 
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-14.mga6
+ Revision: 1025683
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.3.0-13.mga6
+ Revision: 957178
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 0.3.0-12.mga6
+ Revision: 854733
- Rebuild for new libcdio

* Thu Jun 25 2015 sander85 <sander85> 0.3.0-11.mga6
+ Revision: 843785
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 746320
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 684348
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.3.0-8.mga5
+ Revision: 631095
- Rebuild for perl 5.20

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.3.0-7.mga5
+ Revision: 592244
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 533780
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 sander85 <sander85> 0.3.0-5.mga4
+ Revision: 475406
- Convert spec to work with magpie
- Fix build

  + fwang <fwang>
    - rebuild for new cdio

* Wed May 29 2013 jquelin <jquelin> 0.3.0-4.mga4
+ Revision: 431487
- perl 5.18.0 rebuild

* Tue Jan 15 2013 sander85 <sander85> 0.3.0-3.mga3
+ Revision: 388352
- Fix build with GCC 4.7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - rebuild for perl 5.16

* Sat Oct 29 2011 fwang <fwang> 0.3.0-1.mga2
+ Revision: 159373
- update file list
- new version 0.3.0
- rebuild for new libcdio

* Sat Jun 11 2011 sander85 <sander85> 0.2.4-13.mga2
+ Revision: 104195
- perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.2.4-12.mga1
+ Revision: 36875
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.2.4-11.mga1
+ Revision: 34879
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2.4-10.mga1
+ Revision: 32749
- mageia rebuild
- imported package perl-Device-Cdio


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2.4-10mdv2010.0
+ Revision: 440548
- rebuild

* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.4-9mdv2009.1
+ Revision: 337930
- sync patches set with debian
- disable test suite, it doesn't work (http://rt.cpan.org/Public/Bug/Display.html?id=42779)

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2.4-8mdv2009.0
+ Revision: 256674
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.2.4-6mdv2008.1
+ Revision: 151427
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.2.4-5mdv2008.1
+ Revision: 101935
- add forgotten files by mdvsys
- kill pod test, don't work
- stealing some debian patchs (fix build)
- workaround perm issue (ugly method, I agree)


* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:49:10 (60449)
- Fix buildrequires again

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:28:44 (60448)
- bump release

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:27:29 (60447)
- Fix buildrequires

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:00:30 (60442)
- Fix buildrequires

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 22:29:46 (60429)
- initial package

